Summary:	Two-Factor Authentication Module that uses Google Authenticator
Name:		pam-google-authenticator
Version:	1.0
Release:	%mkrel 9
Group:		System/Libraries
License:	Apache License
URL:		http://code.google.com/p/google-authenticator/
Source0:	http://google-authenticator.googlecode.com/files/libpam-google-authenticator-%{version}-source.tar.bz2
Patch0:		pam-google-authenticator-destdir.patch
BuildRequires:	pam-devel
# google-authenticator.c:      qrencode = dlopen("libqrencode.so.3", RTLD_NOW | RTLD_LOCAL);
Recommends:	%{mklibname qrencode 3}

%description
The Google Authenticator project includes implementations of one-time passcode
generators for several mobile platforms, as well as a pluggable authentication
module (PAM). One-time passcodes are generated using open standards developed
by the Initiative for Open Authentication (OATH) (which is unrelated to OAuth).

These implementations support the HMAC-Based One-time Password (HOTP) algorithm
specified in RFC 4226 and the Time-based One-time Password (TOTP) algorithm
specified in RFC 6238.

The PAM module can add a two-factor authentication step to any PAM-enabled
application. It supports:
* Per-user secret and status file stored in user's home directory
* Support for 30-second TOTP codes
* Support for emergency scratch codes
* Protection against replay attacks
* Key provisioning via display of QR code
* Manual key entry of RFC 3548 base32 key strings

%prep

%setup -q -n libpam-google-authenticator-%{version}
%patch0

%build

%make  \
    CC="%__cc" \
    CFLAGS="%{optflags}"

%install
%__make \
    CFLAGS="%{optflags}" \
    DESTDIR="%{buildroot}" \
    BINDIR="%{_bindir}" \
    LIBSEC="/%{_lib}/security" \
    install

%files
%doc FILEFORMAT README
%{_bindir}/google-authenticator
/%{_lib}/security/pam_google_authentifactor.so



%changelog
* Fri Feb 14 2020 umeabot <umeabot> 1.0-9.mga8
+ Revision: 1515822
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.0-8.mga7
+ Revision: 1300092
- Mageia 7 Mass Rebuild

* Sat Feb 06 2016 umeabot <umeabot> 1.0-7.mga6
+ Revision: 940172
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0-6.mga5
+ Revision: 740240
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0-5.mga5
+ Revision: 683314
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Mon Oct 21 2013 umeabot <umeabot> 1.0-4.mga4
+ Revision: 540643
- Mageia 4 Mass Rebuild

* Wed Oct 09 2013 dlucio <dlucio> 1.0-3.mga4
+ Revision: 494098
- rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0-2.mga3
+ Revision: 362366
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 12 2012 oden <oden> 1.0-1.mga3
+ Revision: 292995
- imported package pam-google-authenticator


* Wed Sep 12 2012 Oden Eriksson <oeriksson@mandriva.com> 1.0-1.mga2
- initial Mageia package
